## OobsService

OobsService — Object that represents an individual init.d service

## Functions

void | oobs_service_set_runlevel_configuration ()
void | oobs_service_get_runlevel_configuration ()
const gchar * | oobs_service_get_name ()

## Properties

char * | name | Read / Write / Construct Only

## Types and Values

enum | OobsServiceStatus

## Object Hierarchy

        GEnum
        ╰── OobsServiceStatus
        GObject
        ╰── OobsObject
            ╰── OobsService

## Description

## Functions

### oobs_service_set_runlevel_configuration ()

    void
    oobs_service_set_runlevel_configuration
                                   (OobsService *service,
                                    OobsServicesRunlevel *runlevel,
                                    OobsServiceStatus status,
                                    gint priority);

Sets the configuration of a service for a given runlevel.

#### Parameters

service | An OobsService. |
runlevel | A OobsServicesRunlevel. |
status | status for the service in the given runlevel |
priority | priority for the service in the given runlevel. Use 0 to either keep the previous priority, or get the default value in case the script is new. |

### oobs_service_get_runlevel_configuration ()

    void
    oobs_service_get_runlevel_configuration
                                   (OobsService *service,
                                    OobsServicesRunlevel *runlevel,
                                    OobsServiceStatus *status,
                                    gint *priority);

Gets the status and priority of a service in a given runlevel.

#### Parameters

service | An OobsService. |
runlevel | An OobsServiceRunlevel. |
status | return value for the current service status. |
priority | return value for the current service priority. |

### oobs_service_get_name ()

    const gchar *
    oobs_service_get_name (OobsService *service);

Returns the service name

#### Parameters

service | An OobsService. |

#### Returns

A pointer to the service name as a string. This string must not be freed, modified or stored.

## Types and Values

### enum OobsServiceStatus

#### Members

OOBS_SERVICE_START |  |
OOBS_SERVICE_STOP |  |
OOBS_SERVICE_IGNORE |  |

## Property Details

### The `“name”` property

      “name”                     char *

Name of the service.

Owner: OobsService

Flags: Read / Write / Construct Only

Default value: NULL

## See Also

OobsServicesConfig